<?php
/**
 *
 * WARNING: Please do not edit this file.
 * @see http://codex.wordpress.org/Child_Themes
 *
 * Load the theme function files (options panel, theme functions, widgets, etc...).
 */
include_once get_template_directory() . '/includes/theme-options.php'; // SDS Theme Options
include_once get_template_directory() . '/includes/theme-functions.php'; // SDS Theme Options Functions
include_once get_template_directory() . '/includes/widget-social-media.php'; // SDS Social Media Widget

include_once get_template_directory() . '/includes/Minimize.php'; // Minimize Class (main functionality, actions/filters)


/**
 * ---------------
 * Theme Specifics
 * ---------------
 */

/**
 * Set the Content Width for embeded items.
 */
if ( ! isset( $content_width ) )
	$content_width = 715;

/**
 * This function registers all color schemes available in this theme.
 */
if ( ! function_exists( 'sds_color_schemes' ) ) {
	function sds_color_schemes() {
		$color_schemes = array(
			'default' => array( // Name used in saved option
				'label' => 'Default', // Label on options panel (required)
				'stylesheet' => false, // Stylesheet URL, relative to theme directory (required)
				'preview' => '#565656', // Preview color on options panel (required)
				'default' => true
			),
			'slocum-blue' => array(
				'label' => 'Slocum Blue',
				'stylesheet' => '/css/slocum-blue.css',
				'preview' => '#3c639a',
				'deps' => 'minimize'
			)
		);

		return apply_filters( 'sds_theme_options_color_schemes', $color_schemes );
	}
}

/**
 * This function registers all web fonts available in this theme.
 */
if ( ! function_exists( 'sds_web_fonts' ) ) {
	function sds_web_fonts() {
		$web_fonts = array(
			// Average Sans
			'Lato:400' => array(
				'label' => 'Lato',
				'css' => 'font-family: \'Lato\', sans-serif;'
			)
		);

		return apply_filters( 'sds_theme_options_web_fonts', $web_fonts );
	}
}

/**
 * This function sets a default featured image size for use in this theme.
 */
if ( ! function_exists( 'sds_theme_options_default_featured_image_size' ) ) {
	add_filter( 'sds_theme_options_default_featured_image_size', 'sds_theme_options_default_featured_image_size' );

	function sds_theme_options_default_featured_image_size( $default ) {
		return 'min-725x400';
	}
}

if ( ! function_exists( 'sds_theme_options_ads' ) ) {
	add_action( 'sds_theme_options_ads', 'sds_theme_options_ads' );

	function sds_theme_options_ads() {
	?>
		<div class="sds-theme-options-ad">
			<a href="http://slocumstudio.com/wordpress-themes/minimize?utm_medium=options-panel-plug&amp;utm_campaign=WordPressThemes" target="_blank" class="sds-theme-options-upgrade-ad">
				<h2>Upgrade to Minimize Pro!</h2>
				<ul>
					<li>Priority Ticketing Support</li>
					<li>More Color Schemes</li>
					<li>Web Fonts</li>
					<li>Adjust Featured Image Sizes</li>
					<li>Easily Add Custom Scripts/Styles</li>
					<li>and More!</li>
				</ul>

				<span class="sds-theme-options-btn-green">Upgrade Now!</span>
			</a>
		</div>
	<?php
	}
}

if ( ! function_exists( 'sds_theme_options_upgrade_cta' ) ) {
	add_action( 'sds_theme_options_upgrade_cta', 'sds_theme_options_upgrade_cta' );

	function sds_theme_options_upgrade_cta( $type ) {
		switch( $type ) :
			case 'color-schemes':
			?>
				<p><a href="http://slocumstudio.com/wordpress-themes/minimize?utm_medium=options-panel-plug&amp;utm_campaign=WordPressThemes" target="_blank">Upgrade to Minimize Pro</a> and receive more color schemes!</p>
			<?php
			break;
			case 'web-fonts':
			?>
				<p><a href="http://slocumstudio.com/wordpress-themes/minimize?utm_medium=options-panel-plug&amp;utm_campaign=WordPressThemes" target="_blank">Upgrade to Minimize Pro</a> to use web fonts!</p>
			<?php
			break;
			case 'featured-image-sizes':
			?>
				<p><a href="http://slocumstudio.com/wordpress-themes/minimize?utm_medium=options-panel-plug&amp;utm_campaign=WordPressThemes" target="_blank">Upgrade to Minimize Pro</a> to modify featured image sizes!</p>
			<?php
			break;
			case 'help-support':
			?>
				<p><a href="http://slocumstudio.com/wordpress-themes/minimize?utm_medium=options-panel-plug&amp;utm_campaign=WordPressThemes" target="_blank">Upgrade to Minimize Pro</a> to receive priority ticketing support!</p>
			<?php
			break;
		endswitch;
	}
}

if ( ! function_exists( 'sds_theme_options_help_support_tab_content' ) ) {
	add_action( 'sds_theme_options_help_support_tab_content', 'sds_theme_options_help_support_tab_content' );

	function sds_theme_options_help_support_tab_content( ) {
	?>
		<p>If you'd like to create a suppport request, please visit the <a href="http://wordpress.org/themes/minimize" target="_blank">Minimize Forums on WordPress.org</a>.</p>
	<?php
	}
}

if ( ! function_exists( 'sds_copyright_branding' ) ) {
	add_filter( 'sds_copyright_branding', 'sds_copyright_branding', 10, 2 );

	function sds_copyright_branding( $text, $theme_name ) {
		return '<a href="http://slocumstudio.com/wordpress-themes/minimize-free/?utm_medium=footer-plugs&amp;utm_campaign=WordPressThemes" target="_blank">' . $theme_name . ' by Slocum Design Studio</a>';
	}
}